org.apache.ignite.internal.processors.cache

## Class CacheConfigurationSplitterOldFormat

- java.lang.Object
- - org.apache.ignite.internal.processors.cache.CacheConfigurationSplitterOldFormat

All Implemented Interfaces:
  CacheConfigurationSplitter

    public class CacheConfigurationSplitterOldFormat
    extends Object
    implements CacheConfigurationSplitter

Splitter implementation that actually does not split cache configuration. This splitter is needed for backward compatibility.

### Constructor Summary

Constructors
Constructor and Description
`CacheConfigurationSplitterOldFormat(CacheConfigurationEnricher enricher)` Creates a new instance of splitter with the given `enricher`.

### Method Summary

All Methods Instance Methods Concrete Methods
`T2<CacheConfiguration,CacheConfigurationEnrichment>` `split(CacheConfiguration ccfg)` Splits the given cache configuration into two parts `CacheConfiguration` and `CacheConfigurationEnrichment` that are serialized separately.
`T2<CacheConfiguration,CacheConfigurationEnrichment>` `split(CacheGroupDescriptor desc)` Splits cache configuration associated with the given `desc` into two parts `CacheConfiguration` and `CacheConfigurationEnrichment` that are serialized separately.
`T2<CacheConfiguration,CacheConfigurationEnrichment>` `split(DynamicCacheDescriptor desc)` Splits cache configuration associated with the given `desc` into two parts `CacheConfiguration` and `CacheConfigurationEnrichment` that are serialized separately.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CacheConfigurationSplitterOldFormat

    public CacheConfigurationSplitterOldFormat(CacheConfigurationEnricher enricher)

Creates a new instance of splitter with the given `enricher`.

Parameters:
  `enricher` - Configuration enricher.

### Method Detail

#### split

    public T2<CacheConfiguration,CacheConfigurationEnrichment> split(CacheGroupDescriptor desc)

Splits cache configuration associated with the given `desc` into two parts `CacheConfiguration` and `CacheConfigurationEnrichment` that are serialized separately. The fields marked with `SerializeSeparately` are placed into `CacheConfigurationEnrichment`, the corresponding values into `CacheConfiguration` are changed with the default ones.

Specified by:
  `split` in interface `CacheConfigurationSplitter`
Parameters:
  `desc` - Cache group description to split.
Returns:
  Split cache configuration.
See Also:
  `SerializeSeparately`

#### split

    public T2<CacheConfiguration,CacheConfigurationEnrichment> split(DynamicCacheDescriptor desc)

Splits cache configuration associated with the given `desc` into two parts `CacheConfiguration` and `CacheConfigurationEnrichment` that are serialized separately. The fields marked with `SerializeSeparately` are placed into `CacheConfigurationEnrichment`, the corresponding values into `CacheConfiguration` are changed with the default ones.

Specified by:
  `split` in interface `CacheConfigurationSplitter`
Parameters:
  `desc` - Cache description to split.
Returns:
  Split cache configuration.
See Also:
  `SerializeSeparately`

#### split

    public T2<CacheConfiguration,CacheConfigurationEnrichment> split(CacheConfiguration ccfg)

Splits the given cache configuration into two parts `CacheConfiguration` and `CacheConfigurationEnrichment` that are serialized separately. The fields marked with `SerializeSeparately` are placed into `CacheConfigurationEnrichment`, the corresponding values into `CacheConfiguration` are changed with the default ones.

Specified by:
  `split` in interface `CacheConfigurationSplitter`
Parameters:
  `ccfg` - Cache configuration to split.
Returns:
  Split cache configuration.
See Also:
  `SerializeSeparately`

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.9.1
Release Date | : December 9 2020